package cn.com.qmth.examcloud.core.oe.student.face.service.impl;

import java.util.concurrent.atomic.AtomicInteger;

/**
 * @Description 考试照片统计控制器
 * @Author lideyin
 * @Date 2019/9/9 17:05
 * @Version 1.0
 */
public class ExamCaptureProcessStatisticController {
    //处理数量
    private AtomicInteger count = new AtomicInteger(0);
    //处理失败数量
    private AtomicInteger failureCount = new AtomicInteger(0);

    /**
     * 总数量自增
     */
    public void increaseCount() {
        count.incrementAndGet();
    }

    /**
     * 错误数量自增
     */
    public void increaseFailureCount() {
        failureCount.incrementAndGet();
    }

    /**
     * 重置总数量
     */
    public void resetCount() {
        count.set(0);
    }

    /**
     * 重置失败数量
     */
    public void resetFailureCount() {
        failureCount.set(0);
    }

    /**
     * 总数量
     * @return
     */
    public int getCount(){
        return count.get();
    }

    /**
     * 失败率
     *
     * @return
     */
    public double getFailureRate() {
        if (count.get() == 0) {
            return 0;
        }
        return (double) failureCount.get() / (double) count.get();
    }
}
